Какую версию osStore лучше выбрать новичку

Тема в разделе "OpenCart", создана пользователем Vishnja, 16 фев 2016.

Метки:
Статус темы:
Закрыта.
  1. Vishnja

    Vishnja

    Регистрация:
    14 фев 2016
    Сообщения:
    7
    Симпатии:
    1
    Здравствуйте! Какую версию ocStore лучше выбрать новичку 1.5.5.1.2 или 2.1.* ?
    Слышал что для 1.5 больше информации для разработчиков и гораздо больше готовых модулей.
     
  2. alex_storm

    alex_storm дизайн, CSS Команда форума

    Регистрация:
    11 дек 2012
    Сообщения:
    1.120
    Симпатии:
    559
    http://www.opencart.com/index.php?route=download/download 2.1.0.2 (Latest version)
    + Paladin
    + Ajax Quick Checkout
    Этого достаточно для того, чтобы магазин работал. Не нужно брать OcStore берите оригинал, проще и быстрее обновлять и 100% ставяться все модули
     
  3. skiv14

    skiv14

    Регистрация:
    9 июн 2015
    Сообщения:
    411
    Симпатии:
    159
    Всё больше информации и модулей появляется для 2.х, всё меньше поддержки и модулей для 1.х
    Но по 1.5.х. получить поддержку проще, информации море, модулей тоже.

    Резюмирую - для новичка лучше взять OcStore 1.5.5.2 Нормальная стабильная версия. Если выбирать между этой сборкой и чистым ОК, то советую сборку. Писали уже тут ключевые моменты - добавили сео про (ЧПУ), убрали ошибки крупные и по мелочи и вообще версия стабильная. Мне не встретился модуль, который бы не работал или глючил бы из-за сборки OcStore 1.5.5.2 А я их перепробовал около 100 или больше. Проблемы всегда идут в совместимости модулей между собой или совместимостью с шаблоном.

    ps OcStore 2.х не рекомендую никому, очень много косяков, сырая до ужаса, до самых простых вещей. Не знаю, сколько проблем исправили, а сколько нет, перестал следить. Но ошибки в плане "Невозможно добавить производителя" просто недопустимы.
    pps взяв 1.5.5.2 не забывайте, что всё равно, рано или поздно будете переезжать на 2.х А это перенос базы, поиск и настройка заново всех модулей, миграции без проблем не существует. Короче, придётся повозиться. Но к тому времени, уже начнёте соображать примерно что к чему. Я сам такой.
     
  4. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.037
    Симпатии:
    774
    ОК 2 в принципе пока не стоит рассматривать ни в каком варианте. Даже, если б там не было косяков, там просто нестабильная архитектура, то есть, во-первых, дальнейшие обновления могут оказаться либо слишком сложными, либо вообще невозможными, а во-вторых, конкретная версия может очень быстро потерять поддержку со стороны разработчиков модулей.
     
    skiv14 нравится это.
  5. karina

    karina

    Регистрация:
    7 апр 2013
    Сообщения:
    65
    Симпатии:
    3
    Я начинала с 1.5.4, на ней больше модулей, шаблонов и материала по которому можно что-то править.
    Пыталась перейти на 2.0 но пока предержу коней, хотя 2.0 понравилась больше, она современнее.
    Если трудности не пугают выбирай 2, у нее больше потенциал
     
  6. rprintnn

    rprintnn

    Регистрация:
    18 окт 2012
    Сообщения:
    62
    Симпатии:
    17
    Полностью с вами соглашусь. Хотя у 2-ки нет такого большого количества модулей и шаблонов, но это все будет. В ней уже есть много модулей встроенных которые тебе понадобятся для работы
     
  7. roman5457

    roman5457

    Регистрация:
    24 окт 2015
    Сообщения:
    35
    Симпатии:
    4
    Лучше начинать с версии 1.5.Х информации в инете достаточно что бы сделать хороший магазин, двойка пока сыроватая плюс меньше готовой информации
     
  8. Vishnja

    Vishnja

    Регистрация:
    14 фев 2016
    Сообщения:
    7
    Симпатии:
    1
    Ясно. Всем спасибо! Буду начинать с 1.5.*
     
Статус темы:
Закрыта.